Message boards : Number crunching : ULX and BHSpin on Linux needs libmvec.so.1...
Message board moderation

To post messages, you must log in.

AuthorMessage
Gordon Lack

Send message
Joined: 24 May 19
Posts: 16
Credit: 22,829,833
RAC: 27,416
Message 3778 - Posted: 5 Sep 2019, 13:16:34 UTC
Last modified: 5 Sep 2019, 13:21:53 UTC

...and some old(er) Linux systems (there are some running 3.6.x kernels) don't have it.
So they should probably remove this project. At the moment they just download a job only for it to fail as soon as it "starts".

Or make the executable a non-dynamic one...
ID: 3778 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
mmonnin

Send message
Joined: 2 Jun 16
Posts: 155
Credit: 215,698,379
RAC: 100,341
Message 3779 - Posted: 5 Sep 2019, 13:40:14 UTC - in response to Message 3778.  

My Mint 17 system had this error. Ubunutu 18.04 systems ran fine. I tried updating libc6 from the repository but still had errors. There were limited tasks so I just set NNW.

BHSpin2 runs fine. Only ULX errors.
ID: 3779 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Aurum
Avatar

Send message
Joined: 9 Sep 17
Posts: 14
Credit: 518,768,930
RAC: 11
Message 3780 - Posted: 5 Sep 2019, 14:20:04 UTC - in response to Message 3779.  

I don't have this problem using Linux Mint 19.2 Tina.
ID: 3780 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Gordon Lack

Send message
Joined: 24 May 19
Posts: 16
Credit: 22,829,833
RAC: 27,416
Message 3781 - Posted: 5 Sep 2019, 17:27:48 UTC - in response to Message 3779.  

BHSpin2 runs fine. Only ULX errors.
Odd, given that they have the same dynamic lib dependencies:

[parent]: readelf -d BHspin2_19_x86_64-pc-linux-gnu | grep Shared
0x0000000000000001 (NEEDED) Shared library: [libm.so.6]
0x0000000000000001 (NEEDED) Shared library: [libmvec.so.1]
0x0000000000000001 (NEEDED) Shared library: [libstdc++.so.6]
0x0000000000000001 (NEEDED) Shared library: [libgcc_s.so.1]
0x0000000000000001 (NEEDED) Shared library: [libpthread.so.0]
0x0000000000000001 (NEEDED) Shared library: [libc.so.6]

[parent]: readelf -d universe-ULX_11_x86_64-pc-linux-gnu | grep Shared
0x0000000000000001 (NEEDED) Shared library: [libm.so.6]
0x0000000000000001 (NEEDED) Shared library: [libmvec.so.1]
0x0000000000000001 (NEEDED) Shared library: [libstdc++.so.6]
0x0000000000000001 (NEEDED) Shared library: [libgcc_s.so.1]
0x0000000000000001 (NEEDED) Shared library: [libpthread.so.0]
0x0000000000000001 (NEEDED) Shared library: [libc.so.6]

ID: 3781 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profile Krzysztof Piszczek - wspieram ...
Project administrator
Project developer
Project tester
Avatar

Send message
Joined: 4 Feb 15
Posts: 748
Credit: 140,963,131
RAC: 8,204
Message 3782 - Posted: 5 Sep 2019, 17:51:04 UTC - in response to Message 3781.  

Odd, given that they have the same dynamic lib dependencies:

Especially as it is exactly same executable file...
Krzysztof 'krzyszp' Piszczek

Member of Radioactive@Home team
My Patreon profile
Universe@Home on YT
ID: 3782 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
cyrusNGC_224@P3D

Send message
Joined: 21 Feb 15
Posts: 46
Credit: 719,924,317
RAC: 449,172
Message 3783 - Posted: 6 Sep 2019, 8:54:07 UTC

Wow, exactly.
md5sum BHspin2_19_x86_64-pc-linux-gnu universe-ULX_11_x86_64-pc-linux-gnu 
b574b4a7805d8dcea6cd2adc6483c03a  BHspin2_19_x86_64-pc-linux-gnu
b574b4a7805d8dcea6cd2adc6483c03a  universe-ULX_11_x86_64-pc-linux-gnu
ID: 3783 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote
Profile Conan
Avatar

Send message
Joined: 4 Feb 15
Posts: 46
Credit: 4,081,212
RAC: 1
Message 4180 - Posted: 3 May 2020, 2:30:23 UTC

I know this is an old thread (many months) but I have been away from the project and came back to have all my BHspin2 work units fail. ULX worked fine.

Found out I am missing this same file.

After trying to download the specific file (libmvec.so.1) I gave up and bit the bullet by upgrading my Fedora 21 system to Fedora 23 (I know still 9 versions behind current, but I am getting there bit by bit).

This solved the issue as the Glib library in Fedora 23 has libmvec.so.1 as part of it.

All working again, it took 4 hours of downtime to do the back up and upgrade, so upgrading further will be a while yet.

Thanks
Conan
ID: 4180 · Rating: 0 · rate: Rate + / Rate - Report as offensive     Reply Quote

Message boards : Number crunching : ULX and BHSpin on Linux needs libmvec.so.1...




Copyright © 2021 Copernicus Astronomical Centre of the Polish Academy of Sciences
Project server and website managed by Krzysztof 'krzyszp' Piszczek